> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Start an asynchronous crawl



## OpenAPI

````yaml /docs/openapi.yaml post /crawl
openapi: 3.0.3
info:
  title: BeeCrawl API
  version: 0.1.0
  description: Self-hostable web scraping, crawling, search, and extraction API.
servers:
  - url: https://api.beecrawl.dev
    description: BeeCrawl hosted deployment
  - url: http://127.0.0.1:8000
    description: Local development
security:
  - apiKey: []
tags:
  - name: Scraping
  - name: Discovery
  - name: Async jobs
  - name: Search
  - name: Extraction
paths:
  /crawl:
    post:
      tags:
        - Async jobs
      summary: Start an asynchronous crawl
      operationId: createCrawl
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrawlRequest'
      responses:
        '200':
          description: Crawl job created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlEnqueueResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CrawlRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: uri
        limit:
          type: integer
          default: 100
        maxDepth:
          type: integer
          default: 2
        includeSubdomains:
          type: boolean
          default: false
        ignoreQueryParameters:
          type: boolean
          default: true
        timeout_seconds:
          type: integer
          default: 30
        waitFor:
          type: integer
          default: 0
        useBrowser:
          type: string
          enum:
            - never
            - auto
            - always
          default: auto
        maxRetries:
          type: integer
          default: 2
    CrawlEnqueueResponse:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
          format: uri
        status:
          type: string
    Error:
      type: object
      additionalProperties: true
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Web-Extract-Api-Key
      description: API key. X-Api-Key and Bearer authentication are also accepted.

````